OcbAgentSvcClientCompositeOperations¶
- class oci.cloud_bridge.OcbAgentSvcClientCompositeOperations(client, work_request_clients=None, **kwargs)¶
This class provides a wrapper around
OcbAgentSvcClientand offers convenience methods for operations that would otherwise need to be chained together. For example, instead of performing an action on a resource (e.g. launching an instance, creating a load balancer) and then using a waiter to wait for the resource to enter a given state, you can call a single method in this class to accomplish the same functionalityMethods:
__init__(client[, work_request_clients])Creates a new OcbAgentSvcClientCompositeOperations object
Calls
add_agent_dependency()and waits for theEnvironmentacted upon to enter the given state(s).Calls
change_agent_compartment()and waits for theWorkRequestto enter the given state(s).Calls
change_environment_compartment()and waits for theWorkRequestto enter the given state(s).create_agent_and_wait_for_state(...[, ...])Calls
create_agent()and waits for theAgentacted upon to enter the given state(s).Calls
create_agent_dependency()and waits for theWorkRequestto enter the given state(s).create_environment_and_wait_for_state(...[, ...])Calls
create_environment()and waits for theEnvironmentacted upon to enter the given state(s).delete_agent_and_wait_for_state(agent_id[, ...])Calls
delete_agent()and waits for theAgentacted upon to enter the given state(s).Calls
delete_agent_dependency()and waits for theAgentDependencyacted upon to enter the given state(s).delete_environment_and_wait_for_state(...[, ...])Calls
delete_environment()and waits for theEnvironmentacted upon to enter the given state(s).Calls
remove_agent_dependency()and waits for theEnvironmentacted upon to enter the given state(s).update_agent_and_wait_for_state(agent_id, ...)Calls
update_agent()and waits for theAgentacted upon to enter the given state(s).Calls
update_agent_dependency()and waits for theWorkRequestto enter the given state(s).update_environment_and_wait_for_state(...[, ...])Calls
update_environment()and waits for theEnvironmentacted upon to enter the given state(s).update_plugin_and_wait_for_state(agent_id, ...)Calls
update_plugin()and waits for theWorkRequestto enter the given state(s).- __init__(client, work_request_clients=None, **kwargs)¶
Creates a new OcbAgentSvcClientCompositeOperations object
- Parameters
client (OcbAgentSvcClient) – The service client which will be wrapped by this object
work_request_clients (dict) –
(optional) Service-local clients keyed by generated client class name, for example
{'WorkRequestClient': work_request_client}. By default, regional clients are created when needed using the wrapped client’s signer, endpoint and constructor options.Automatically created work-request clients are cached. Before each wait, their endpoint and signer are refreshed from the wrapped client; other client settings and HTTP session changes are not synchronized. Do not modify the wrapped client’s endpoint or signer while a wait is in progress.
Supply a client for non-regional endpoints or customized HTTP sessions. These clients are separate from the shared Work Requests service.
- add_agent_dependency_and_wait_for_state(environment_id, add_agent_dependency_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
add_agent_dependency()and waits for theEnvironmentacted upon to enter the given state(s).- Parameters
environment_id (str) – (required) Unique environment identifier.
add_agent_dependency_details (oci.cloud_bridge.models.AddAgentDependencyDetails) – (required) The information to be updated.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
add_agent_dependency()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- change_agent_compartment_and_wait_for_state(agent_id, change_agent_compartment_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
change_agent_compartment()and waits for theWorkRequestto enter the given state(s).- Parameters
agent_id (str) – (required) Unique Agent identifier path parameter.
change_agent_compartment_details (oci.cloud_bridge.models.ChangeAgentCompartmentDetails) – (required) The information to be updated.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
change_agent_compartment()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- change_environment_compartment_and_wait_for_state(environment_id, change_environment_compartment_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
change_environment_compartment()and waits for theWorkRequestto enter the given state(s).- Parameters
environment_id (str) – (required) Unique environment identifier.
change_environment_compartment_details (oci.cloud_bridge.models.ChangeEnvironmentCompartmentDetails) – (required) The information to be updated.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
change_environment_compartment()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- create_agent_and_wait_for_state(create_agent_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
create_agent()and waits for theAgentacted upon to enter the given state(s).- Parameters
create_agent_details (oci.cloud_bridge.models.CreateAgentDetails) – (required) Details of the new Agent.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
create_agent()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- create_agent_dependency_and_wait_for_state(create_agent_dependency_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
create_agent_dependency()and waits for theWorkRequestto enter the given state(s).- Parameters
create_agent_dependency_details (oci.cloud_bridge.models.CreateAgentDependencyDetails) – (required) Details for the new AgentDependency.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
create_agent_dependency()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- create_environment_and_wait_for_state(create_environment_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
create_environment()and waits for theEnvironmentacted upon to enter the given state(s).- Parameters
create_environment_details (oci.cloud_bridge.models.CreateEnvironmentDetails) – (required) Details of for the new source environment.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
create_environment()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- delete_agent_and_wait_for_state(agent_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
delete_agent()and waits for theAgentacted upon to enter the given state(s).- Parameters
agent_id (str) – (required) Unique Agent identifier path parameter.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
delete_agent()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- delete_agent_dependency_and_wait_for_state(agent_dependency_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
delete_agent_dependency()and waits for theAgentDependencyacted upon to enter the given state(s).- Parameters
agent_dependency_id (str) – (required) A unique AgentDependency identifier.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
delete_agent_dependency()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- delete_environment_and_wait_for_state(environment_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
delete_environment()and waits for theEnvironmentacted upon to enter the given state(s).- Parameters
environment_id (str) – (required) Unique environment identifier.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
delete_environment()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- remove_agent_dependency_and_wait_for_state(environment_id, remove_agent_dependency_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
remove_agent_dependency()and waits for theEnvironmentacted upon to enter the given state(s).- Parameters
environment_id (str) – (required) Unique environment identifier.
remove_agent_dependency_details (oci.cloud_bridge.models.RemoveAgentDependencyDetails) – (required) The information to be updated.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
remove_agent_dependency()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- update_agent_and_wait_for_state(agent_id, update_agent_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
update_agent()and waits for theAgentacted upon to enter the given state(s).- Parameters
agent_id (str) – (required) Unique Agent identifier path parameter.
update_agent_details (oci.cloud_bridge.models.UpdateAgentDetails) – (required) The information to be updated.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
update_agent()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- update_agent_dependency_and_wait_for_state(agent_dependency_id, update_agent_dependency_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
update_agent_dependency()and waits for theWorkRequestto enter the given state(s).- Parameters
agent_dependency_id (str) – (required) A unique AgentDependency identifier.
update_agent_dependency_details (oci.cloud_bridge.models.UpdateAgentDependencyDetails) – (required) The information to be updated.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
update_agent_dependency()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- update_environment_and_wait_for_state(environment_id, update_environment_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
update_environment()and waits for theEnvironmentacted upon to enter the given state(s).- Parameters
environment_id (str) – (required) Unique environment identifier.
update_environment_details (oci.cloud_bridge.models.UpdateEnvironmentDetails) – (required) The information to be updated.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
update_environment()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- update_plugin_and_wait_for_state(agent_id, plugin_name, update_plugin_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
update_plugin()and waits for theWorkRequestto enter the given state(s).- Parameters
agent_id (str) – (required) Unique Agent identifier path parameter.
plugin_name (str) – (required) Unique plugin identifier path parameter.
update_plugin_details (oci.cloud_bridge.models.UpdatePluginDetails) – (required) The information to be updated.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
update_plugin()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait